VPS侦探论坛

 找回密码
 注册
查看: 174|回复: 4

军官,救命啊,网站升mysql出错

[复制链接]
发表于 2019-7-3 16:48:16 | 显示全部楼层 |阅读模式

本帖最后由 复仇的撒旦 于 2019-7-3 16:51 编辑

如题,去年lnmp1.5安装的mysql8.0.11,中间在lnmp1.6测试版的时候也升级了两次,失败了,但是按照恢复教程总算成功起死回生。今天看到正式版都出来这么久了,所以就又开始升级。结果失败,按照恢复教程也不行了,怎么办啊,军哥,救命。
(1.4及更高版本)将/usr/local/oldmysql日期目录下面的init.d.mysql.bak.日期的文件拷贝到/etc/init.d/目录下并重命名为mysql及将my.cnf.bak.日期拷贝到/etc/目录下并重命名为 my.cnf,并将/usr/local/oldmysql日期目录重命名为mysql即可恢复mysql。全部按照这上面来的,现在网站无法连接数据库,好急。系统是centos7.6 X64 内核是5.1.6
下面的是我升级失败的日志

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有帐号?注册

x
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2019-7-3 17:20:54 | 显示全部楼层

不好意思,搜了下百度,竟然搜到我以前的帖子,我搞好了。那么现在问题变成为什么我一而再再而三的升级mysql都不成功啊,求军哥指导下。日志在1楼
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
发表于 2019-7-3 17:55:26 | 显示全部楼层

这个问题说过,mysql 8.0.13之后的版本对cmake、gcc版本要求都很高
cmake 至少是 3.x的版本
gcc 至少 5.3
centos 7明显是不符合要求的
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2019-7-3 21:47:19 | 显示全部楼层

licess 发表于 2019-7-3 17:55
这个问题说过,mysql 8.0.13之后的版本对cmake、gcc版本要求都很高
cmake 至少是 3.x的版本
gcc 至少 5.3

那请问有什么方法强行升级呢?或者干脆等centos8出来?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2019-7-4 08:58:17 | 显示全部楼层


复仇的撒旦 发表于 2019-7-3 21:47
那请问有什么方法强行升级呢?或者干脆等centos8出来?

等centos 8的话比较稳,也可以自己升级gcc、cmake3,论坛里发过教程,论坛里搜索:cmake3
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-9-20 10:22 , Processed in 0.044684 second(s), 27 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表